---
search:
  tags:
    - Relations
    - GET
seo:
  description: >-
    Retrieve all relation types defined within an application. Reference for the
    GET /api/v1/{team_slug}/{app_slug}/relations/types endpoint in the
    Management API.
sidebar:
  label: List all relation types in an app
  badge: GET
title: List all relation types in an app
type: openapi-operation
---
Retrieve all relation types defined within an application

`GET /api/v1/{team_slug}/{app_slug}/relations/types`

**Responses**

- `200` — Relations Types
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "title": "string",
      "type": "string",
      "updated_at": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
